var GameManager = function() {
  this.lives = 4;
  this.gameStates = [];
  this.iterations = 1;
};

GameManager = new GameManager();

GameManager.reset = function() {
  this.lives = 4;
  this.gameStates = [];
  this.iterations = 1;
};

GameManager.processHit = function() {
  this.lives--;

  if (!this.lives)
    return false;

  return true;
};

GameManager.nextState = function() {
  var random;

  this.iterations++;

  if (this.gameStates.length) {
    random = Math.floor(Math.random() * (this.gameStates.length - 1));

    return this.deleteState(random);
  } else {
    this.gameStates = [0, 1, 2];

    random = Math.floor(Math.random() * (this.gameStates.length - 1));
    return this.deleteState(random);
  }
};

GameManager.deleteState = function(random) {
  var game = this.gameStates[random];
  this.gameStates.splice(random, 1);

  if (game === 0)
    return 'game1';
  else if (game === 1)
    return 'game2';
  else if (game === 2)
    return 'game3';
};
