var Game3 = function() {
  Game.call(this);
};

Game3.prototype = Object.create(Game.prototype);
Game3.prototype.constructor = Game3;
var _gameType = 0;
var _LeftArrow;
var _RightArrow;
var _UpArrow;
var _DownArrow;
var _textL;
var _music;
var _potLocation;
var _beatStructure = [];
var _beatStep = 0;
var _witch;
var _witchLocation = 0;
var _witchHeart;
var _called = false;
Game3.prototype.create = function() {
  Game.prototype.create.call(this);

  _potLocation = [
    this.circles[0].world.x + 360,
    this.circles[0].world.y + 240,
    this.circles[1].world.x + 360,
    this.circles[1].world.y + 240,
    this.circles[2].world.x + 360,
    this.circles[2].world.y + 240,
    this.circles[3].world.x + 360,
    this.circles[3].world.y + 240
  ];
var difficulty = this.game.rnd.integerInRange(0, 2);
_called = false;
if (difficulty === 0)
{
  _beatStructure.push(500);
  _music = this.game.add.audio('songRhythm120');
  _music.loop = true;
  this.song = _music;
  _music.play();
}
if (difficulty === 1)
{
  _beatStructure.push(429);
  _music = this.game.add.audio('songRhythm140');
  _music.loop = true;
  this.song = _music;
  _music.play();
}
if (difficulty === 2)
{
  _beatStructure.push(375);
  _music = this.game.add.audio('songRhythm160');
  _music.loop = true;
  this.song = _music;
  _music.play();
}
  _inEvent = -1;


  _LeftArrow = this.game.input.keyboard.addKey(Phaser.Keyboard.LEFT);
  _LeftArrow.onDown.add(InputDown, this);
  _RightArrow = this.game.input.keyboard.addKey(Phaser.Keyboard.RIGHT);
  _RightArrow.onDown.add(InputDown, this);
  _UpArrow = this.game.input.keyboard.addKey(Phaser.Keyboard.UP);
  _UpArrow.onDown.add(InputDown, this);
  _DownArrow = this.game.input.keyboard.addKey(Phaser.Keyboard.DOWN);
  _DownArrow.onDown.add(InputDown, this);

  this.game.time.events.loop(_beatStructure[0], BeatGenerator, this);
  this.game.time.events.loop(5000, EventGenerator, this);

  this.timer.start();
this.circles[_witchLocation].frame = 2;
  var witchWidth = 40;
  var witchHeight = 40;
/*  if (_gameType == 1)
    _witch = this.game.add.sprite(-100, -100, 'dgrass');
  else
    _witch = this.game.add.sprite(_potLocation[_witchLocation * 2], _potLocation[_witchLocation * 2 + 1], 'dgrass');
  _witch.width = witchWidth;
  _witch.height = witchHeight;*/


  _witchHeart = [];
  var tempLife = this.game.add.sprite(100, 100, 'dgrass');
  tempLife.width = 30;
  tempLife.height = 30;
  _witchHeart.push(tempLife)

  var tempLife = this.game.add.sprite(100, 150, 'dgrass');
  tempLife.width = 30;
  tempLife.height = 30;
  _witchHeart.push(tempLife)

  var tempLife = this.game.add.sprite(100, 200, 'dgrass');
  tempLife.width = 30;
  tempLife.height = 30;
  _witchHeart.push(tempLife)

  var potWidth = 30;
  var potHeight = 30;
  _lBeat = null;
  _rBeat = null;


  //_textL = this.game.add.bitmapText(100, 100, 'desyrel','Middle Earth',64);
};

var _inEvent = -1;
var _eventSequence = null;
var _eventArrow = null;


Game3.prototype.update = function() {

  //_witch.bringToTop();
  if (_witchHeart.length==0)
  {
    _beatStructure = [];
    if (!_called) {
      _called = true;
      this.onFailure();
    }

  }
  if (_inEvent != -1) {
    if (_witchLocation == _inEvent) {
      _beatStructure = [];
       this.onSucces();
    }
  }
  if (_lBeat != null && _rBeat != null) {
    for (var i = _lBeat.length - 1; i > -1; i--) {
      _lBeat[i].x += this.game.time.elapsed / 5;
      _rBeat[i].x -= this.game.time.elapsed / 5;
      if (_lBeat[i].x - 360 >= -10) {
        _lBeat[i].kill();
        _rBeat[i].kill();
      }
      if (_lBeat[i].x - 360 > 30) {
        _lBeat[i].destroy(true);
        _rBeat[i].destroy(true);
        _lBeat.splice(i, 1);
        _rBeat.splice(i, 1);
        if (_witchHeart.length!=0)
        {
          _witchHeart[_witchHeart.length-1].destroy(true);
          _witchHeart.splice(_witchHeart.length-1,1);
        }
      }
    }
  }
};


var _beatWidth = 20;
var _beatHeight = 20;
var _rBeat = null;
var _lBeat = null;
var _random = new Phaser.RandomDataGenerator(666);

function EventGenerator() {
  if (_inEvent == -1 || _gameType == 1 || _gameType == 2 || _eventSequence == null) {
    if (_gameType == 0) {
      while (_inEvent == -1 || _inEvent == _witchLocation)
        _inEvent = this.game.rnd.integerInRange(0, 3);
      //_inEvent = _random.integerInRange(0,4);
      this.circles[_inEvent].frame = 1;
    }
    if (_gameType == 1) {
      _inEvent = _witchLocation = 1;
      this.circles[0].frame = 1;
      _eventSequence = [_random.integerInRange(0, 3), _random.integerInRange(0, 3), _random.integerInRange(0, 3), _random.integerInRange(0, 3)];

      _eventArrow = [];
      var tempEventArrow = this.game.add.sprite(240, 240, 'a' + _eventSequence[0]);
      tempEventArrow.width = 60;
      tempEventArrow.height = 60;
      _eventArrow.push(tempEventArrow);
      tempEventArrow = this.game.add.sprite(300, 240, 'a' + _eventSequence[1]);
      tempEventArrow.width = 60;
      tempEventArrow.height = 60;
      _eventArrow.push(tempEventArrow);
      tempEventArrow = this.game.add.sprite(360, 240, 'a' + _eventSequence[2]);
      tempEventArrow.width = 60;
      tempEventArrow.height = 60;
      _eventArrow.push(tempEventArrow);
      tempEventArrow = this.game.add.sprite(420, 240, 'a' + _eventSequence[3]);
      tempEventArrow.width = 60;
      tempEventArrow.height = 60;
      _eventArrow.push(tempEventArrow);
    }
  }
}

function InputDown() {
  var wrongMove = false;
  if (Math.abs(_lBeat[0].x - 360) < 30) {
    if (_LeftArrow.isDown) {
      if (_witchLocation != _inEvent)
      {
          this.circles[_witchLocation].frame=0;
        _witchLocation++;
        if (_witchLocation>3)
        _witchLocation=0;
          this.circles[_witchLocation].frame=2;
      }
      else {
        if (_eventSequence.length != 0 && _eventSequence[0] == 2) {
          _eventArrow[0].destroy(true);
          _eventArrow.splice(0, 1);
          _eventSequence.splice(0, 1);
        } else
          wrongMove = true;
      }
    }
    if (_RightArrow.isDown) {
      if (_witchLocation != _inEvent)
      {
                  this.circles[_witchLocation].frame=0;
      _witchLocation--;
      if (_witchLocation<0)
      _witchLocation=3;
                this.circles[_witchLocation].frame=2;
      }
      else {
        if (_eventSequence.length != 0 && _eventSequence[0] == 0) {
          _eventArrow[0].destroy(true);
          _eventArrow.splice(0, 1);
          _eventSequence.splice(0, 1);
        } else
          wrongMove = true;
      }
    }
    if (_UpArrow.isDown) {
      if (_witchLocation == _inEvent) {
        if (_eventSequence.length != 0 && _eventSequence[0] == 1) {
          _eventArrow[0].destroy(true);
          _eventArrow.splice(0, 1);
          _eventSequence.splice(0, 1);
        } else
          wrongMove = true;
      }
    }
    if (_DownArrow.isDown) {
      if (_witchLocation == _inEvent) {
        if (_eventSequence.length != 0 && _eventSequence[0] == 3) {
          _eventArrow[0].destroy(true);
          _eventArrow.splice(0, 1);
          _eventSequence.splice(0, 1);
        } else
          wrongMove = true;
      }
    }
    if (_witchLocation > 3)
      _witchLocation = 0;
    if (_witchLocation < 0)
      _witchLocation = 3;
    if (_gameType != 1) {
      /*_witch.x = _potLocation[_witchLocation * 2];
      _witch.y = _potLocation[_witchLocation * 2 + 1];*/
    }
    _lBeat[0].destroy(true);
    _rBeat[0].destroy(true);
    _lBeat.splice(0, 1);
    _rBeat.splice(0, 1);
  } else
    wrongMove = true;
  if (wrongMove) {
    if (_witchHeart.length!=0)
    {
      _witchHeart[_witchHeart.length-1].destroy(true);
      _witchHeart.splice(_witchHeart.length-1,1);
    }
    wrongMove=false;
  }
}


function BeatGenerator() {
  if (_lBeat == null || _rBeat == null) {
    _lBeat = [];
    _rBeat = [];
  }
  if (_beatStructure[_beatStep] != 0) {
    var tempRBeat = this.game.add.sprite(690 - _beatWidth * 0.5, 390, 'beat');
    tempRBeat.width = _beatWidth;
    tempRBeat.height = _beatHeight;
    _rBeat.push(tempRBeat);

    var tempLBeat = this.game.add.sprite(30 - _beatWidth * 0.5, 390, 'beat');
    tempLBeat.width = _beatWidth;
    tempLBeat.height = _beatHeight ;
    _lBeat.push(tempLBeat);
  }
  _beatStep++;
  if (_beatStructure.length == _beatStep)
    _beatStep = 0;
}
