var Boot = function() {

};

Boot.prototype.constructor = Boot;

Boot.prototype.preload = function() {
  this.load.image('preloader', 'assets/images/preloader.gif');
};

Boot.prototype.create = function() {
  this.game.stateTransition = this.game.plugins.add(Phaser.Plugin.StateTransition);
  this.game.stateTransition.configure({
    duration: Phaser.Timer.SECOND * 0.8,
    ease: Phaser.Easing.Exponential.InOut,
    properties: {
      alpha: 0,
      scale: {
        x: 1.4,
        y: 1.4
      }
    }
  });
  this.game.input.maxPointers = 1;

  if (this.game.device.desktop) {
    this.game.scale.pageAlignHorizontally = true;
  } else {
    this.game.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
    this.game.scale.minWidth = 480;
    this.game.scale.minHeight = 260;
    this.game.scale.maxWidth = 640;
    this.game.scale.maxHeight = 480;
    this.game.scale.forceOrientation(true);
    this.game.scale.pageAlignHorizontally = true;
    this.game.scale.setScreenSize(true);
  }

  this.game.state.start('preload');
};
