var Menu = function () {};

Menu.prototype.constructor = Menu;

Menu.prototype.preload = function() {

    this.game.stage.backgroundColor = "#020028";
}

var gameTitle = function(game){}

gameTitle.prototype = {
     create: function(){

          menuGroup = this.game.add.group();
          var menuButton = this.game.add.button(this.game.width / 2, this.game.height - 30, "credits", toggleMenu);
          menuButton.anchor.set(0.5);
          menuGroup.add(menuButton);
          var resetGame = this.game.add.button(this.game.width / 2, this.game.height + 50, "chicken", function(){});
          resetGame.anchor.set(0.5);
          menuGroup.add(resetGame);
     }
}

function toggleMenu(){
    this.game.add.audio('sfxMenuClick').play();

     if(menuGroup.y == 0){
          var menuTween = this.game.add.tween(menuGroup).to({
               y: -80
          }, 500, Phaser.Easing.Bounce.Out, true);
     }
     if(menuGroup.y == -80){
          var menuTween = this.game.add.tween(menuGroup).to({
               y: 0
          }, 500, Phaser.Easing.Bounce.Out, true);
     }
}

Menu.prototype.create = function() {
  this.game.add.tileSprite(0, 0, this.game.width, this.game.height, 'backgroundIntro');

  /*var text = this.add.text(this.game.width * 0.5, this.game.height * 0.2, 'Your god says', {
    font: '44px "Press Start 2P"',
    fill: '#000000',
    align: 'center'
  });*/

  var logo = this.game.add.sprite(this.game.width * 0.21, this.game.height * 0.05, 'logo');
  logo.scale.setTo(2, 2);
  logo.smoothed = false;

    this.god = this.game.add.sprite(this.game.world.centerX, this.game.world.centerY + 125, 'god', 2);
    this.god.anchor.setTo(0.5, 0.5);
    this.god.smoothed = false;
    this.god.anim = this.god.animations.add('goddest');
    this.god.anim.play(5, true);
    this.god.inputEnabled = true;
    this.god.events.onInputDown.add(this.onDown, this);

    this.dialog = this.game.add.sprite(this.game.world.centerX, this.game.world.centerY + 25, 'dialog');
    this.dialog.anchor.setTo(0.5, 0.5);

    var text2 = this.add.text(this.game.width * 0.35, this.game.world.centerY, 'Click me!', {
      font: '24px "Press Start 2P"',
      fill: '#000000',
      align: 'center'
    });

    this.music = this.game.add.audio('songMainMenu');
    this.music.loop = true;
    this.music.play();

  //text.anchor.set(0.5);

    menuGroup = this.game.add.group();
          var menuButton = this.game.add.button(this.game.width / 2, this.game.height - 30, "credits", toggleMenu);
          menuButton.anchor.set(0.5);
          menuGroup.add(menuButton);
          var dev = this.add.text(this.game.width * 0.06, this.game.height + 15, 'Developers: Andres Alvarez, Guillermo Andrade, Sebastian Ziegler.\n Art: Tomas Bruckner. \nSound/Music: Sebastian Ziegler.', {
            font: '10px "Press Start 2P"',
            fill: '#000000',
            align: 'center'
          });
          var resetGame = this.game.add.button(this.game.width / 2, this.game.height + 50, "chicken", function(){});
          resetGame.anchor.set(0.5);
          menuGroup.add(dev);
          menuGroup.add(this.dialog);
          menuGroup.add(text2);
          menuGroup.add(this.god);
};

Menu.prototype.update = function() {

};

Menu.prototype.onDown = function() {
    this.music.pause();
    this.game.add.audio('sfxMenuClick').play();
  this.game.state.start('transition', true, false, '');
};
