var Preload = function() {};

Preload.prototype.constructor = Preload;

Preload.prototype.preload = function() {
  var Preload = this.add.sprite(this.game.width * 0.5 - 110, this.game.height * 0.5 - 10, 'preloader');

  this.load.setPreloadSprite(Preload);

  this.load.image('chicken', 'assets/images/chicken.png');
  this.load.image('background', 'assets/images/bg.png');
  this.load.image('backgroundIntro', 'assets/images/bgIntro.png');
  this.load.image('bluedashed', 'assets/images/bluedashed.png');
  this.load.image('beat', 'assets/images/beat.png');
  this.load.image('beatcentral', 'assets/images/beatcentral.png');
  this.load.image('credits', 'assets/images/credits.png');
  this.load.image('dialog', 'assets/images/dialog.png');
  this.load.image('logo', 'assets/images/logo.png');

  this.load.spritesheet('magicRift', 'assets/images/magic-rift.png', 280, 280, 2);
  this.load.spritesheet('magicCircle', 'assets/images/magic-circle.png', 72, 72, 4);
  this.load.spritesheet('cultist', 'assets/images/cultist.png', 50, 40, 4);
  this.load.spritesheet('god', 'assets/images/god.png', 75, 78, 2);
  this.load.spritesheet('chickenAnimated', 'assets/images/chickenAnimated.png', 40, 40, 2);
  this.load.spritesheet('cloudAnimated', 'assets/images/cloud.png', 90, 70, 6);


  this.load.spritesheet('dude', 'assets/dude.png', 32, 48);
  this.load.image('ball', 'assets/asteroid2.png');
  this.load.image('dgrass', 'assets/images/life.png');
  this.load.bitmapFont('desyrel', 'assets/desyrel.png', 'assets/desyrel.xml');

  this.load.audio('songMainMenu', ['assets/songs/mainmenu.ogg']);
    this.load.audio('songBetweenGames', ['assets/songs/betweenGames.ogg']);
    this.load.audio('songChicken', ['assets/songs/chicken.ogg']);
    this.load.audio('songGaming', ['assets/songs/gaming.ogg']);
    this.load.audio('songRhythm120', ['assets/songs/rhythm120bpm.ogg']);
    this.load.audio('songRhythm140', ['assets/songs/rhythm140bpm.ogg']);
    this.load.audio('songRhythm160', ['assets/songs/rhythm160bpm.ogg']);
    this.load.audio('songGameOver', ['assets/songs/gameover.ogg']);

    this.load.audio('sfxStrike', ['assets/sfx/bossStrike.ogg']);
    this.load.audio('sfxDrag', ['assets/sfx/drag.ogg']);
    this.load.audio('sfxDrop', ['assets/sfx/drop.ogg']);
    this.load.audio('sfxMenuClick', ['assets/sfx/menuClick.ogg']);
    this.load.audio('sfxReadySet', ['assets/sfx/readySet.ogg']);
    this.load.audio('godExplosion', ['assets/sfx/godStrikeExplode.ogg']);

  this.load.image('a1', 'assets/arrowUp.png');
  this.load.image('a3', 'assets/arrowDown.png');
  this.load.image('a2', 'assets/arrowLeft.png');
  this.load.image('a0', 'assets/arrowRight.png');
  this.load.image('heart', 'assets/heart.png');
};


Preload.prototype.create = function() {
  this.state.start('menu');
};
